# AR Building Visualization with Grayscale Filter

This project is the output from a master thesis for the MSc Photogrammetry and Geoinformatics programme of Stuttgart Technology University of Applied Sciences (Hochschule für Technik Stuttgart). The android application was developed in Unity (2020.1.9f1) with the ARFoundation SDK (v4.1.1) and the ARCore XR Plugin (V4.1.1). 

The app uses the **image tracking** method to detect buildings in Nordbahnhof, Stuttgart, Germany. Once the building is detected, the app will instantly turn the background and context into grayscale, leaving the building to be rendered in color. This visualization with AR is chosen as urban planners and designers often need to showcase their focusing urban feature with a reduced amout of information in the background. Using AR for the visualization can possibly bring more civil participation into the urban planning process.

